scala.collection.immutable.UnbalancedTreeMap
class Node

[source: `scala/collection/immutable/UnbalancedTreeMap.scala`]

`protected` `class` Node[+B](`protected val override` key : A, `protected val override` value : B, left : UnbalancedTreeMap[A, B], right : UnbalancedTreeMap[A, B])
  `extends` UnbalancedTreeMap[A, B]

Method Summary
`override def` | - (k : A) : UnbalancedTreeMap[A, B] Remove a key from this map
`protected override def` | add [B1 >: B](k : A, v : B1) : Node[B1]
`override def` | elements : Iterator[(A, B)] Creates a new iterator over all elements contained in this object.
`protected override def` | findValue (k : A) : UnbalancedTreeMap[A, B]
`override def` | isEmpty : Boolean Is this an empty map?
`override def` | size : Int Compute the number of key-to-value mappings.
`protected override def` | smallest : UnbalancedTreeMap[A, B]

Methods inherited from UnbalancedTreeMap
empty, update, insert, get, apply

Methods inherited from Map
+, +, ++, ++, -, --, --, withDefault, withDefaultValue, transform, filter, +, incl, incl, excl, excl, mappingToString

Methods inherited from Map
getOrElse, contains, isDefinedAt, keys, keySet, values, equals, hashCode, toString, default, projection, filterKeys, mapElements

Methods inherited from Collection
toArray, stringPrefix

Methods inherited from Iterable
concat, ++, map, flatMap, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`override` `def` size : Int

  Compute the number of key-to-value mappings.

Returns
  the number of mappings

Overrides
  UnbalancedTreeMap.size

`override` `def` isEmpty : Boolean

  Is this an empty map?

Returns
  `true` iff the map is empty.

Overrides
  UnbalancedTreeMap.isEmpty

`protected override` `def` add[B1 >: B](k : A, v : B1) : Node[B1]

Overrides
  UnbalancedTreeMap.add

`protected override` `def` findValue(k : A) : UnbalancedTreeMap[A, B]

Overrides
  UnbalancedTreeMap.findValue

`protected override` `def` smallest : UnbalancedTreeMap[A, B]

Overrides
  UnbalancedTreeMap.smallest

`override` `def` -(k : A) : UnbalancedTreeMap[A, B]

  Remove a key from this map

Parameters
  `key -` the key to be removed
Returns
  If the map does not contain a binding for `key` it is returned unchanged. Otherwise, return a new map without a binding for `key`

Overrides
  UnbalancedTreeMap.-

`override` `def` elements : Iterator[(A, B)]

  Creates a new iterator over all elements contained in this object.

Returns
  the new iterator

Overrides
  UnbalancedTreeMap.elements